REM Checking JAVA environment
if not "%JAVA_HOME%" == "" goto gotJdkHome
echo ERROR: The JAVA_HOME environment variable is not defined
pause
goto exit

:gotJdkHome
echo Using JAVA HOME (%JAVA_HOME%)

title AZUKI Framework

REM Sets Azuki framework home directory
set AZUKI_HOME=.

REM Sets framework classpath
set AZUKI_CLASSPATH=%AZUKI_HOME%/server/azuki-framework.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/azuki-kernel.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/azuki-common.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/client-javarpc.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/client-gwt.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/xerces.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/xml-apis.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/jdom.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/jaxen-1.1.1.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/javaee.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/commons-codec-1.3.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/mail.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/activation.jar

REM Standalone version of Azuki Framework use JBOSS Jndi implementation
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/jboss-4.0.5/jboss.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/jboss-4.0.5/jboss-common.jar
set AZUKI_CLASSPATH=%AZUKI_CLASSPATH%;%AZUKI_HOME%/server/lib/jboss-4.0.5/jnpserver.jar

REM Sets JVM properties
set AZUKI_JVM_OPTS=-Djava.naming.factory.initial=org.jnp.interfaces.NamingContextFactory
set AZUKI_JVM_OPTS=%AZUKI_JVM_OPTS% -Djava.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces
REM set AZUKI_JVM_OPTS=%AZUKI_JVM_OPTS% -Djavax.xml.soap.SOAPFactory=org.apache.axis.soap.SOAPFactoryImpl
REM set AZUKI_JVM_OPTS=%AZUKI_JVM_OPTS% -Djavax.xml.soap.MessageFactory=org.apache.axis.soap.MessageFactoryImpl

REM Sets working directory to framework home
cd %AZUKI_HOME%

REM Launch framework
"%JAVA_HOME%\bin\java.exe" %AZUKI_JVM_OPTS% -classpath %AZUKI_CLASSPATH% org.azuki.kernel.Server %1%

pause

:exit
