#!/bin/sh

## Checking JAVA environment
if [ -z "$JAVA_HOME" ]; then
	echo "ERROR: The JAVA_HOME environment variable is not defined"
	exit 1
fi

echo "Using JAVA HOME ($JAVA_HOME)"

## Sets Azuki framework home directory
AZUKI_HOME=.
export AZUKI_HOME

## Sets framework classpath
AZUKI_CLASSPATH=$AZUKI_HOME/server/azuki-framework.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/azuki-kernel.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/azuki-common.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/client-javarpc.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/client-gwt.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/xerces.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/xml-apis.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/jdom.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/jaxen-1.1.1.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/javaee.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/commons-codec-1.3.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/mail.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/activation.jar

## Standalone version of Azuki Framework use JBOSS Jndi implementation
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/jboss-4.0.5/jboss.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/jboss-4.0.5/jboss-common.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/jboss-4.0.5/jnpserver.jar

export AZUKI_CLASSPATH

## Sets JVM properties
AZUKI_JVM_OPTS=-Djava.naming.factory.initial=org.jnp.interfaces.NamingContextFactory
AZUKI_JVM_OPTS="$AZUKI_JVM_OPTS -Djava.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces"
#AZUKI_JVM_OPTS="$AZUKI_JVM_OPTS -Djavax.xml.soap.SOAPFactory=org.apache.axis.soap.SOAPFactoryImpl"
#AZUKI_JVM_OPTS="$AZUKI_JVM_OPTS -Djavax.xml.soap.MessageFactory=org.apache.axis.soap.MessageFactoryImpl"
				
export AZUKI_JVM_OPTS

## Sets working directory to framework home
cd $AZUKI_HOME

## Launch framework
$JAVA_HOME/bin/java $AZUKI_JVM_OPTS -classpath $AZUKI_CLASSPATH org.azuki.kernel.Server $1
