#!/bin/sh

## Checking JAVA environment
if [ -z "$JAVA_HOME" ]; then
	echo "ERROR: The JAVA_HOME environment variable is not defined"
	exit 1
fi

echo "Using JAVA HOME ($JAVA_HOME)"

## Sets Azuki framework home directory
AZUKI_HOME=.
export AZUKI_HOME

## Sets weaver classpath
AZUKI_CLASSPATH=$AZUKI_HOME/server/azuki-weaver.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/azuki-framework.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/azuki-kernel.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/azuki-common.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/xerces.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/xml-apis.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/jdom.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/jaxen-1.1.1.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/javaee.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/commons-codec-1.3.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/mail.jar
AZUKI_CLASSPATH=$AZUKI_CLASSPATH:$AZUKI_HOME/server/lib/activation.jar

export AZUKI_CLASSPATH

## Sets working directory to framework home
cd $AZUKI_HOME

## Launch weaver
$JAVA_HOME/bin/java -classpath $AZUKI_CLASSPATH org.azuki.weaver.Weaver
