<?xml version="1.0" encoding="UTF-8"?>

<!-- 
	Created the 2 April 2006
	
	Azuki Framework
	Copyright 2006 the original author or authors.
	
	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.
	
	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.
	
	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
	
	Contact : support@azuki-framework.org
	
	@author Yoann Perrin (yoann.perrin@gmail.com)
-->

<!--
	pour &nbsp; -> &#xA0;
	pour &amp;  -> &#x26;
 -->
 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="text"/>
	<xsl:strip-space elements="*"/>
	
	<xsl:template match="/">	
		<xsl:apply-templates select="/beandoc/definition"/>
		<xsl:apply-templates select="/beandoc/documentation"/>
	</xsl:template>
	
	<xsl:template match="definition">
+------------------------------------------------------------------------------+
| Definition                                                                   |
+------------------------------------------------------------------------------+
Name        : <xsl:value-of select="@name"/>
JAR file    : <xsl:value-of select="@jarfile"/>
Class       : <xsl:value-of select="@class"/>
Version     : <xsl:value-of select="@version"/>
Icon        : <xsl:value-of select="@icon"/>
Description : <xsl:value-of select="@description"/><xsl:if test="@description=''">No description</xsl:if>
		<xsl:apply-templates select="node()"/>
	</xsl:template>
	
	<xsl:template match="definition/aspect">
<xsl:text>
</xsl:text>
Aspect
------
Method selection : <xsl:value-of select="@methodselection"/>
Field selection  : <xsl:value-of select="@fieldselection"/>
	</xsl:template>

	<xsl:template match="definition/exportmethod">
		<xsl:if test="node()">
<xsl:text>
</xsl:text>
Exported method
---------------
<xsl:for-each select="method">
<xsl:if test="not(position()=1)">
<xsl:text>
</xsl:text>
</xsl:if>
<xsl:value-of select="@signature"/>
<xsl:text>
</xsl:text>
<xsl:value-of select="@description"/>
<xsl:text>
</xsl:text>
</xsl:for-each>
		</xsl:if>
	</xsl:template>

	<xsl:template match="definition/methodproxy">
		<xsl:if test="node()">
<xsl:text>
</xsl:text>
Method proxies
--------------
<xsl:for-each select="field">
<xsl:if test="not(position()=1)">
<xsl:text>
</xsl:text>
</xsl:if>
<xsl:value-of select="@signature"/>
<xsl:text>
</xsl:text>
<xsl:if test="@mandatory='true'">[MANDATORY] </xsl:if><xsl:value-of select="@description"/>
<xsl:text>
</xsl:text>
</xsl:for-each>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="definition/defaultpointcut">
		<xsl:if test="node()">
<xsl:text>
</xsl:text>
Default pointcuts
-----------------
<xsl:for-each select="bean">
<xsl:if test="not(position()=1)">
<xsl:text>
</xsl:text>
</xsl:if>
<xsl:value-of select="@name"/>
<xsl:text>
</xsl:text>
<xsl:value-of select="@description"/>
<xsl:text>
</xsl:text>
</xsl:for-each>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="documentation">
		<xsl:for-each select="paragraph">
<xsl:text>
</xsl:text>
<xsl:if test="@title">
+------------------------------------------------------------------------------+
| <xsl:value-of select="@title"/>
+------------------------------------------------------------------------------+
</xsl:if>
<xsl:value-of select="text()"/>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
